Groovy Documentation

## groovy.jmx.builder
[Java] Class JmxEventListener

    java.lang.Object
      groovy.jmx.builder.JmxEventListener

All Implemented Interfaces:
  javax.management.NotificationListener

    public class JmxEventListener
    extends java.lang.Object

The JmxEventListener class is used by the builder to listen to events on the event bus. It is used internally by JmxBuilder to handle attribute-change and operation-invoke events on the bean() node.

Authors:
  Vladimir Vivien

See Also:
  JmxBeanFactory

Method Summary
`static JmxEventListener` | `getListener()` Factory method that returns an instance of the listener.
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)` This is the implemented method for NotificationListener.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getListener

    public static JmxEventListener getListener()

  Factory method that returns an instance of the listener.
  Returns:
    - JmxEventListener instance.

### handleNotification

    public void handleNotification(javax.management.Notification notification, java.lang.Object handback)

  This is the implemented method for NotificationListener. It is called by an event emitter to dispatch JMX events to listeners. Here it handles internal JmxBuilder events.
  Parameters:
    `notification` - the notification object passed to closure used to handle JmxBuilder events.
    `handback` - - In this case, the handback is the closure to execute when the event is handled.

Groovy Documentation